/*******************************************************
//
//	Name: CFrame.h
//
//	Author: Dave Ratti
//
//	Date: 2-26-02
//
//	Modified: 2-26-02
//
//	Notes: Frame. Pretty simple
//
//
//
*********************************************************/

#ifndef CFRAME
#define CFRAME

#include "CImage.h"
#include "STRINGC.h"




class CFrame
{

public:

	CFrame();
	virtual ~CFrame();

	virtual void Init(STRINGC line);	//STRINGC fn should be a string that contains image filename and X,Y displacement

	CImage* getImage(){ return m_Image; };
	POINT	getDisplacement(){ return m_Displacement; };			//Call every frame this animation is active
	int		getDelay(){ return m_Delay; };
	
protected:

	CImage* m_Image;
	POINT	m_Displacement;
	int		m_Delay;

};


#endif